# TdApi.PageBlockPhoto (tdlight API 3.3.160 API)
declaration: package: it.tdlight.jni, class: TdApi, class: PageBlockPhoto

Package it.tdlight.jni

# Class TdApi.PageBlockPhoto

java.lang.Object
it.tdlight.jni.TdApi.Object
it.tdlight.jni.TdApi.PageBlock
it.tdlight.jni.TdApi.PageBlockPhoto

Enclosing class:
  TdApi

    public static class TdApi.PageBlockPhoto
    extends TdApi.PageBlock

A photo.

## Field Summary

Fields
Modifier and Type | Field | Description
--- | --- | ---
`TdApi.PageBlockCaption` | `caption` | Photo caption.
`static int` | `CONSTRUCTOR` |
`TdApi.Photo` | `photo` | Photo file; may be null.
`String` | `url` | URL that needs to be opened when the photo is clicked.

## Constructor Summary

Constructors
Constructor | Description
--- | ---
`PageBlockPhoto()` | A photo.
`PageBlockPhoto​(TdApi.Photo photo, TdApi.PageBlockCaption caption, String url)` | A photo.
`PageBlockPhoto​(DataInput input)` |

## Method Summary

Modifier and Type | Method | Description
--- | --- | ---
`boolean` | `equals​(Object o)` |
`int` | `getConstructor()` |
`int` | `hashCode()` |
`void` | `serialize​(DataOutput output)` |

### Methods inherited from class it.tdlight.jni.TdApi.Object

`serialize, toString`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

## Field Details

### photo

public TdApi.Photo photo
Photo file; may be null.

### caption

public TdApi.PageBlockCaption caption
Photo caption.

### url

public String url
URL that needs to be opened when the photo is clicked.

### CONSTRUCTOR

public static final int CONSTRUCTOR

See Also:
  Constant Field Values

## Constructor Details

### PageBlockPhoto

public PageBlockPhoto()
A photo.

### PageBlockPhoto

public PageBlockPhoto​(TdApi.Photo photo, TdApi.PageBlockCaption caption, String url)
A photo.

Parameters:
  `photo` - Photo Photo file; may be null.
  `caption` - PageBlockCaption Photo caption.
  `url` - String URL that needs to be opened when the photo is clicked.

### PageBlockPhoto

public PageBlockPhoto​(DataInput input) throws IOException

Throws:
  `IOException`

## Method Details

### getConstructor

public int getConstructor()

Specified by:
  `getConstructor` in class `TdApi.Object`

### serialize

public void serialize​(DataOutput output) throws IOException

Specified by:
  `serialize` in class `TdApi.Object`
Throws:
  `IOException`

### equals

public boolean equals​(Object o)

Overrides:
  `equals` in class `Object`

### hashCode

public int hashCode()

Overrides:
  `hashCode` in class `Object`